Bug 491243 - bad video mode with dual screens
bad video mode with dual screens
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2009-03-19 21:27 EDT by Björn Persson
Modified: 2010-06-28 07:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 07:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X server log from live USB Rawhide (47.08 KB, text/plain)
2009-03-29 17:02 EDT, Björn Persson
no flags Details
X server log from updated Fedora 11 (46.43 KB, text/plain)
2009-11-21 23:09 EST, Björn Persson
no flags Details

  None (edit)
Description Björn Persson 2009-03-19 21:27:12 EDT
Test case:

Intel G35
Eizo FlexScan S2401W, 1920×1200 pixels, connected by DVI
Philips Brilliance 150P2, 1024×768 pixels, connected by VGA

Description of problem:
All the normal boot messages, including the text mode progress bar are displayed on both monitors. When X starts, after the text mode progress bar, both monitors refuse to display the graphics, displaying error messages instead. The Philips monitor says "cannot display this video mode". The Eizo monitor shows the frequencies:
fD:   64.9 MHz
fH:   96.7 kHz [blinking red]
fV:  120.1 Hz  [blinking red]

After a while the autologin triggers and I hear the login sound, but I still don't see anything.

Version-Release number of selected component (if applicable):
whatever is on rawhide-x86_64-20090312.0.iso

How reproducible:
tested once
Comment 1 Matěj Cepl 2009-03-26 18:08:20 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Björn Persson 2009-03-29 17:02:03 EDT
Created attachment 337183 [details]
X server log from live USB Rawhide

I managed to extract a log. There is no xorg.conf on the live CD.
Comment 3 Bug Zapper 2009-06-09 08:25:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 5 Matěj Cepl 2009-11-05 13:23:28 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Björn Persson 2009-11-21 23:09:53 EST
Created attachment 372858 [details]
X server log from updated Fedora 11

This bug is still present in a fully updated Fedora 11.

The description above isn't entirely accurate anymore, as the text mode progress bar has been replaced with a graphic progress animation and the installed system doesn't log in automatically, but those details make no difference. The monitors still display the same error messages when X starts.
Comment 7 Bug Zapper 2010-04-27 09:16:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2010-06-28 07:31:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.